<template>
<div class="mainwrap">
    <div class="bubble-wrapper">
        <div ref="bubble" class="bubble">

            <img class="bubble-image"
                src="@/assets/img/logo.png" />
        </div>

        <div ref="bubblePulse" class="bubble-pulse"></div>

    </div>
    
    <button>Random Logo</button>
</div>

</template>

<script>
    import { TimelineLite, Back, Elastic, Expo } from "gsap"

    export default{
        name:'Elementary2',
        mounted(){
            const { bubble, bubblePulse } = this.$refs;

            this.timeline = new TimelineLite({
                onComplete: () => this.timeline.restart()
            })
            
            this.timeline.to(bubble,0.4,{
                scale:0.8,
                rotation:16,
                ease:Back.easeOut.config(1.7),
            })

            this.timeline.to(bubblePulse,0.5,{
                scale:0.9,
                opacity: 1,
            },
            '-=0.6')


            this.timeline.to(bubble, 1.2, {
                scale:1,
                rotation:'-=16',
                ase: Elastic.easeOut.config(2.5, 0.5),
            })

            this.timeline.to(bubblePulse,1.1,{
                scale:3,
                opacity:0,
                ease:Expo.easeOut
            }, '-=1.2')

            
        },
        data(){
            return{
                timeline:null,
                logos: [
                    '@/assets/img/logo.png', 
                    '@/assets/img/logo-2.png', 
                    '@/assets/img/logo-3.png',
                    '@/assets/img/logo-4.png'],
                currentLogo: '',
            }
        }
    }


</script>

<style>
.mainwrap{
  width: 100%;
  height: 100vh;

  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}


.bubble-wrapper {
  position: relative;

}
.bubble {
  position: relative;
  z-index: 2;
  display: flex;
  align-items: center;
  justify-content: center;
  border: 4px solid #e28a0e;
  background: #272727;
  border-radius: 50%;
  height: 100px;
  width: 100px;
}
.bubble-pulse {
  position: absolute;
  z-index: 1;
  height: 120px;
  width: 120px;
  top: 50%;
  left: 50%;
  margin-top: -60px;
  margin-left: -60px;
  background: #272727;
  border-radius: 50%;
  opacity: 0;
  transform: scale(0);
}
.bubble-image {
  height: 50%;
}
</style>